
Redmine - Feature #38263

Try importing journal replies as issue reply where applicable

2023-02-11 22:28 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

E-mails that are recognised as journal replies are currently discarded if the journal recognised from the message ID is invalid/not

present anymore. This happens when a journal is deleted but may also happen when 2 redmine instances are used to send e-mails

to each other.

Related issues:

Blocks Redmine - Feature #38273: Improve errors in MailHandler: add MissingCo... Closed

Associated revisions

Revision 22119 - 2023-02-27 10:43 - Go MAEDA

Try importing journal replies as issue reply where applicable (#38263).

Patch by Felix Schäfer.

History

#1 - 2023-02-11 22:32 - Felix Schäfer

- File 38263.patch added

The attached patch tries importing a new e-mail as an issue reply if an issue is found in the subject in the journal from the message ID is not found.

#2 - 2023-02-15 12:14 - Go MAEDA

- Blocks Feature #38273: Improve errors in MailHandler: add MissingContainer and LockedTopic exception added

#3 - 2023-02-15 12:17 - Go MAEDA

Thank you for posting the patch. Could you add tests?

#4 - 2023-02-15 19:57 - Felix Schäfer

- File 38263-with_test.patch added

Please see the attached patch with a test.

#5 - 2023-02-27 03:42 - Go MAEDA

- Target version set to 5.1.0

#6 - 2023-02-27 10:43 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

Files

38263.patch 1.12 KB 2023-02-11 Felix Schäfer

38263-with_test.patch 2.16 KB 2023-02-15 Felix Schäfer
